<?php

namespace Simplyin\Simplyin_W_Plugin\Payments\View_Model\Classic_Checkout;

abstract class Abstract_Payment_Method_Item {


	/**
	 * @var string
	 */
	protected $type;

	public function get_template_name(): string {

		switch ( $this->type ) {
			case 'blik':
				return 'blik.php';
			case 'card':
				return 'card.php';

			case 'add_card':
				return 'add_card.php';

			default:
				return 'item.php';
		}
	}
}
